Package com.google.javascript.rhino.jstype

# Enum JSTypeNative

java.lang.Object
java.lang.Enum<JSTypeNative>
com.google.javascript.rhino.jstype.JSTypeNative

All Implemented Interfaces:
  `Serializable`, `Comparable<JSTypeNative>`, `java.lang.constant.Constable`

public enum JSTypeNative extends Enum<JSTypeNative>
Constants corresponding to types that are built into a JavaScript engine and other types that occur very often in the type system. See `JSTypeRegistry.getNativeType(JSTypeNative)`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_TYPE`
`ARRAY_FUNCTION_TYPE`
`ARRAY_TYPE`
`BOOLEAN_OBJECT_FUNCTION_TYPE`
`BOOLEAN_OBJECT_TYPE`
`BOOLEAN_TYPE`
`CHECKED_UNKNOWN_TYPE`
A checked unknown type is a type that we know something about, but we're not really sure what we know about it.
`DATE_FUNCTION_TYPE`
`DATE_TYPE`
`ERROR_FUNCTION_TYPE`
`ERROR_TYPE`
`EVAL_ERROR_FUNCTION_TYPE`
`EVAL_ERROR_TYPE`
`FUNCTION_FUNCTION_TYPE`
`FUNCTION_INSTANCE_TYPE`
`FUNCTION_PROTOTYPE`
`GLOBAL_THIS`
`GREATEST_FUNCTION_TYPE`
`LEAST_FUNCTION_TYPE`
`NO_OBJECT_TYPE`
`NO_RESOLVED_TYPE`
`NO_TYPE`
`NULL_TYPE`
`NULL_VOID`
(null, void)
`NUMBER_OBJECT_FUNCTION_TYPE`
`NUMBER_OBJECT_TYPE`
`NUMBER_STRING`
(number,string)
`NUMBER_STRING_BOOLEAN`
(number,string,boolean)
`NUMBER_TYPE`
`NUMBER_VALUE_OR_OBJECT_TYPE`
`OBJECT_FUNCTION_TYPE`
`OBJECT_NUMBER_STRING`
(Object,number,string)
`OBJECT_NUMBER_STRING_BOOLEAN`
(Object,number,string,boolean)
`OBJECT_PROTOTYPE`
`OBJECT_TYPE`
`RANGE_ERROR_FUNCTION_TYPE`
`RANGE_ERROR_TYPE`
`REFERENCE_ERROR_FUNCTION_TYPE`
`REFERENCE_ERROR_TYPE`
`REGEXP_FUNCTION_TYPE`
`REGEXP_TYPE`
`STRING_OBJECT_FUNCTION_TYPE`
`STRING_OBJECT_TYPE`
`STRING_TYPE`
`STRING_VALUE_OR_OBJECT_TYPE`
`SYNTAX_ERROR_FUNCTION_TYPE`
`SYNTAX_ERROR_TYPE`
`TOP_LEVEL_PROTOTYPE`
`TYPE_ERROR_FUNCTION_TYPE`
`TYPE_ERROR_TYPE`
`U2U_CONSTRUCTOR_TYPE`
`U2U_FUNCTION_TYPE`
`UNKNOWN_TYPE`
`URI_ERROR_FUNCTION_TYPE`
`URI_ERROR_TYPE`
`VOID_TYPE`

## Method Summary

Modifier and Type
Method
Description
`static JSTypeNative`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JSTypeNative[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARRAY_TYPE

public static final JSTypeNative ARRAY_TYPE

### ARRAY_FUNCTION_TYPE

public static final JSTypeNative ARRAY_FUNCTION_TYPE

### BOOLEAN_TYPE

public static final JSTypeNative BOOLEAN_TYPE

### BOOLEAN_OBJECT_TYPE

public static final JSTypeNative BOOLEAN_OBJECT_TYPE

### BOOLEAN_OBJECT_FUNCTION_TYPE

public static final JSTypeNative BOOLEAN_OBJECT_FUNCTION_TYPE

### CHECKED_UNKNOWN_TYPE

public static final JSTypeNative CHECKED_UNKNOWN_TYPE
A checked unknown type is a type that we know something about, but we're not really sure what we know about it. Examples of checked unknown types include: `if (x) { // x is unknown alert(x); // x is checked unknown }` `/* @param {SomeForwardDeclaredType} x / function f(x) { // x is checked unknown. We know it's some type, but the type // has not been included in this binary. }` This is useful for missing property warnings, where we don't want to emit warnings on things that have been checked.

### DATE_TYPE

public static final JSTypeNative DATE_TYPE

### DATE_FUNCTION_TYPE

public static final JSTypeNative DATE_FUNCTION_TYPE

### ERROR_FUNCTION_TYPE

public static final JSTypeNative ERROR_FUNCTION_TYPE

### ERROR_TYPE

public static final JSTypeNative ERROR_TYPE

### EVAL_ERROR_FUNCTION_TYPE

public static final JSTypeNative EVAL_ERROR_FUNCTION_TYPE

### EVAL_ERROR_TYPE

public static final JSTypeNative EVAL_ERROR_TYPE

### FUNCTION_FUNCTION_TYPE

public static final JSTypeNative FUNCTION_FUNCTION_TYPE

### FUNCTION_INSTANCE_TYPE

public static final JSTypeNative FUNCTION_INSTANCE_TYPE

### FUNCTION_PROTOTYPE

public static final JSTypeNative FUNCTION_PROTOTYPE

### NULL_TYPE

public static final JSTypeNative NULL_TYPE

### NUMBER_TYPE

public static final JSTypeNative NUMBER_TYPE

### NUMBER_OBJECT_TYPE

public static final JSTypeNative NUMBER_OBJECT_TYPE

### NUMBER_OBJECT_FUNCTION_TYPE

public static final JSTypeNative NUMBER_OBJECT_FUNCTION_TYPE

### OBJECT_TYPE

public static final JSTypeNative OBJECT_TYPE

### OBJECT_FUNCTION_TYPE

public static final JSTypeNative OBJECT_FUNCTION_TYPE

### OBJECT_PROTOTYPE

public static final JSTypeNative OBJECT_PROTOTYPE

### RANGE_ERROR_FUNCTION_TYPE

public static final JSTypeNative RANGE_ERROR_FUNCTION_TYPE

### RANGE_ERROR_TYPE

public static final JSTypeNative RANGE_ERROR_TYPE

### REFERENCE_ERROR_FUNCTION_TYPE

public static final JSTypeNative REFERENCE_ERROR_FUNCTION_TYPE

### REFERENCE_ERROR_TYPE

public static final JSTypeNative REFERENCE_ERROR_TYPE

### REGEXP_TYPE

public static final JSTypeNative REGEXP_TYPE

### REGEXP_FUNCTION_TYPE

public static final JSTypeNative REGEXP_FUNCTION_TYPE

### STRING_OBJECT_TYPE

public static final JSTypeNative STRING_OBJECT_TYPE

### STRING_OBJECT_FUNCTION_TYPE

public static final JSTypeNative STRING_OBJECT_FUNCTION_TYPE

### STRING_TYPE

public static final JSTypeNative STRING_TYPE

### SYNTAX_ERROR_FUNCTION_TYPE

public static final JSTypeNative SYNTAX_ERROR_FUNCTION_TYPE

### SYNTAX_ERROR_TYPE

public static final JSTypeNative SYNTAX_ERROR_TYPE

### TYPE_ERROR_FUNCTION_TYPE

public static final JSTypeNative TYPE_ERROR_FUNCTION_TYPE

### TYPE_ERROR_TYPE

public static final JSTypeNative TYPE_ERROR_TYPE

### UNKNOWN_TYPE

public static final JSTypeNative UNKNOWN_TYPE

### URI_ERROR_FUNCTION_TYPE

public static final JSTypeNative URI_ERROR_FUNCTION_TYPE

### URI_ERROR_TYPE

public static final JSTypeNative URI_ERROR_TYPE

### VOID_TYPE

public static final JSTypeNative VOID_TYPE

### TOP_LEVEL_PROTOTYPE

public static final JSTypeNative TOP_LEVEL_PROTOTYPE

### STRING_VALUE_OR_OBJECT_TYPE

public static final JSTypeNative STRING_VALUE_OR_OBJECT_TYPE

### NUMBER_VALUE_OR_OBJECT_TYPE

public static final JSTypeNative NUMBER_VALUE_OR_OBJECT_TYPE

### ALL_TYPE

public static final JSTypeNative ALL_TYPE

### NO_TYPE

public static final JSTypeNative NO_TYPE

### NO_OBJECT_TYPE

public static final JSTypeNative NO_OBJECT_TYPE

### NO_RESOLVED_TYPE

public static final JSTypeNative NO_RESOLVED_TYPE

### GLOBAL_THIS

public static final JSTypeNative GLOBAL_THIS

### U2U_CONSTRUCTOR_TYPE

public static final JSTypeNative U2U_CONSTRUCTOR_TYPE

### U2U_FUNCTION_TYPE

public static final JSTypeNative U2U_FUNCTION_TYPE

### LEAST_FUNCTION_TYPE

public static final JSTypeNative LEAST_FUNCTION_TYPE

### GREATEST_FUNCTION_TYPE

public static final JSTypeNative GREATEST_FUNCTION_TYPE

### NULL_VOID

public static final JSTypeNative NULL_VOID
(null, void)

### OBJECT_NUMBER_STRING

public static final JSTypeNative OBJECT_NUMBER_STRING
(Object,number,string)

### OBJECT_NUMBER_STRING_BOOLEAN

public static final JSTypeNative OBJECT_NUMBER_STRING_BOOLEAN
(Object,number,string,boolean)

### NUMBER_STRING_BOOLEAN

public static final JSTypeNative NUMBER_STRING_BOOLEAN
(number,string,boolean)

### NUMBER_STRING

public static final JSTypeNative NUMBER_STRING
(number,string)

## Method Details

### values

public static JSTypeNative[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JSTypeNative valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null